phihat {dglars} | R Documentation

## Estimate the Dispersion Parameter

### Description

`phihat` returns the estimates of the dispersion parameter.

### Usage

    phihat(object, type = c("pearson", "deviance", "mle", "grcv"), g = NULL, ...)

### Arguments

`object` | fitted `dglars` object.
`type` | a description of the used estimator.
`g` | vector of values of the tuning parameter.
`...` | further arguments passed to the function `grcv`.

### Details

`phihat` implements four different estimators of the dispersion parameter, i.e, the generalized Pearson statistic (`type = "pearson"`), the deviance estimator (`type = "deviance"`), the maximum likelihood estimator (`type = "mle"`) and general refitted cross-Validation estimator (`type = "grcv"`) proposed in Pazira et al. (2018). For regression models with Gamma family, the maximum likelihood estimator of the dispersion parameter is computed using the approximation proposed in Cordeiro et al. (1997).

### Value

`phihat` returns a vector with the estimates of the dispersion parameter.

### Author(s)

Luigi Augugliaro
Maintainer: Luigi Augugliaro luigi.augugliaro@unipa.it

### References

Cordeiro G. M. and McCullagh P. (1991) <DOI: 10.2307/2345592> Bias Correction in Generalized Linear Models, Journal of the Royal Statistical Society. Series B., Vol 53(3), 629–643.

Jorgensen B. (1997) The Theory of Dispersion Models, Chapman \& Hall, Great Britain.

Pazira H., Augugliaro L. and Wit E.C. (2018) <DOI: 10.1007/s11222-017-9761-7> Extended differential-geometric LARS for high-dimensional GLMs with general dispersion parameter, Statistics and Computing, Vol 28(4), 753-774.

### See Also

`grcv`, `coef.dglars`, `logLik.dglars`, `AIC.dglars` and `BIC.dglars`.

### Examples

    ############################
    # y ~ Gamma

    library("dglars")
    set.seed(321)
    n <- 100
    p <- 50
    X <- matrix(abs(rnorm(n*p)),n,p)
    eta <- 1 + 2 * X[, 1L]
    mu <- drop(Gamma()$linkinv(eta))
    shape <- 0.5
    phi <- 1 / shape
    y <- rgamma(n, scale = mu / shape, shape = shape)
    fit <- dglars(y ~ X, Gamma("log"))
    g <- seq(range(fit$g)[1L], range(fit$g)[2L], length = 10)

    # generalized Pearson statistic
    phihat(fit, type = "pearson")
    phihat(fit, type = "pearson", g = g)

    # deviance estimator
    phihat(fit, type = "deviance")
    phihat(fit, type = "deviance", g = g)

    # mle
    phihat(fit, type = "mle")
    phihat(fit, type = "mle", g = g)

    # grcv
    phihat(fit, type = "grcv")
    phihat(fit, type = "grcv", g = g)

[Package dglars version 2.1.2 Index]